Compiling avahi-app (gdbm error) 9.0 Beta 2

darzki

New Member


Messages: 3

I'm compiling Pidgin (and avahi is one of dependencies) on fresh 9.0 Beta2 system and there is a problem with gdbm.

Code:
gmake[2]: Leaving directory `/usr/ports/databases/gdbm/work/gdbm-1.9.1/tests'
gmake[1]: Leaving directory `/usr/ports/databases/gdbm/work/gdbm-1.9.1/tests'
gmake[1]: Entering directory `/usr/ports/databases/gdbm/work/gdbm-1.9.1'
gmake[2]: Entering directory `/usr/ports/databases/gdbm/work/gdbm-1.9.1'
gmake[2]: Nothing to be done for `install-exec-am'.
gmake[2]: Nothing to be done for `install-data-am'.
gmake[2]: Leaving directory `/usr/ports/databases/gdbm/work/gdbm-1.9.1'
gmake[1]: Leaving directory `/usr/ports/databases/gdbm/work/gdbm-1.9.1'
install-info --quiet /usr/local/info/gdbm.info /usr/local/info/dir
===>   Compressing manual pages for gdbm-1.9.1
===>   Running ldconfig
/sbin/ldconfig -m /usr/local/lib
===>   Registering installation for gdbm-1.9.1
===>   Returning to build of avahi-app-0.6.29
Error: shared library "gdbm.3" does not exist
*** Error code 1

So gdbm.3 is missing, but gdbm is installed:

Code:
klg# pkg_info | grep gdbm
gdbm-1.9.1          The GNU database manager

Any way to fix this?
 

wblock@

Beastie Himself
Developer

Reaction score: 3,739
Messages: 13,851

avahi-app was missed in the first batch of gdbm changes. Update to the latest ports tree, where the gdbm dependency has been corrected (gdbm.4 instead of gdbm.3).
 
Top